--- pgadmin3/pgadmin/schema/pgTable.cpp 2013-01-10 14:10:14.000000000 -0800
+++ local/pgadmin3/pgadmin/schema/pgTable.cpp   2013-01-10 14:19:56.000000000 -0800
@@ -34,19 +34,31 @@
 pgTable::pgTable(pgSchema *newSchema, const wxString &newName)
        : pgSchemaObject(newSchema, tableFactory, newName)
 {
-       inheritedTableCount = 0;
-       rowsCounted = false;
-       showExtendedStatistics = false;
-       distributionIsRandom = false;
+       Init();
 }
 
 pgTable::pgTable(pgSchema *newSchema, pgaFactory &newFactory, const wxString &newName)
        : pgSchemaObject(newSchema, newFactory, newName)
 {
-       inheritedTableCount = 0;
-       rowsCounted = false;
-       showExtendedStatistics = false;
-       distributionIsRandom = false;
+       Init();
+}
+
+void pgTable::Init()
+{
+    rows = 0;
+    estimatedRows = 0.0;
+
+    hasToastTable = false;
+    autovacuum_enabled = 0; toast_autovacuum_enabled = 0;
+
+    isPartitioned = false;
+    hasOids = false; unlogged = false; hasSubclass = false; rowsCounted = false;
+    isReplicated = false; showExtendedStatistics = false; distributionIsRandom = false;
+
+    inheritedTableCount = 0; triggerCount = 0;
+
+    tablespaceOid = 0;
+    ofTypeOid = 0;
 }
 
 pgTable::~pgTable()
--- pgadmin3/pgadmin/include/schema/pgTable.h   2013-01-10 14:10:14.000000000 -0800
+++ local/pgadmin3/pgadmin/include/schema/pgTable.h     2013-01-10 14:23:30.000000000 -0800
@@ -534,6 +534,8 @@ private:
        void AppendStuff(wxString &sql, ctlTree *browser, pgaFactory &factory);
        void AppendStuffNoSql(wxString &sql, ctlTree *browser, pgaFactory &factory);
 
+       void Init();
+
        wxULongLong rows;
        double estimatedRows;
 
